import type { MarkType } from 'prosemirror-model';
import type { Action, ExtensionAuto } from '../../../core';
import { LinkActionMeta, LinkActionParams } from './actions';
export type { LinkActionParams, LinkActionMeta } from './actions';
export { linkCommand } from './actions';
export { normalizeUrlFactory } from './utils';
export { removeLink } from './commands';
export declare const link = "link";
declare const linkAction = "link";
export declare const linkType: (schema: import("prosemirror-model").Schema<any, any>) => MarkType;
export declare enum LinkAttr {
    Href = "href",
    Title = "title",
    IsPlaceholder = "is-placeholder",
    RawLink = "raw-link"
}
export declare const Link: ExtensionAuto;
declare global {
    namespace YfmEditor {
        interface Actions {
            [linkAction]: Action<LinkActionParams, LinkActionMeta>;
        }
    }
}
